# Obsolete Members for Tabs

The following members of QML type Tabs are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- tabBar : TabBar`(obsolete)`

## Signals

- modelChanged()`(obsolete)`
- modelChanged()`(obsolete)`

## Property Documentation

tabBar : TabBar

This property is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

The TabBar that will be shown in the header and provides scrollable tab buttons. This property is DEPRECATED. TabBar is now part of the header style.

## Signal Documentation

modelChanged()

This signal is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Used by the tabs style to update the tabs header with the titles of all the tabs. This signal is used in an intermediate step in transitioning the tabs to a new implementation and may be removed in the future.

Note: The corresponding handler is `onModelChanged`.

modelChanged()

This signal is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Used by the tabs style to update the tabs header with the titles of all the tabs. This signal is used in an intermediate step in transitioning the tabs to a new implementation and may be removed in the future.

Note: The corresponding handler is `onModelChanged`.